Bullet Collision Detection & Physics Library: AssignConstraintsToGridBatchesParams Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
AssignConstraintsToGridBatchesParams Struct Reference
Collaboration diagram for AssignConstraintsToGridBatchesParams:
[legend]

## Public Member Functions
| AssignConstraintsToGridBatchesParams ()

## Public Attributes
bool * | bodyDynamicFlags
btIntVec3 * | bodyGridCoords
int | numBodies
btBatchedConstraintInfo * | conInfos
int * | constraintBatchIds
btIntVec3 | gridChunkDim
int | maxNumBatchesPerPhase
int | numPhases
int | phaseMask

## Detailed Description

Definition at line 687 of file btBatchedConstraints.cpp.

## Constructor & Destructor Documentation

## ◆ AssignConstraintsToGridBatchesParams()

AssignConstraintsToGridBatchesParams::AssignConstraintsToGridBatchesParams | ( |  | ) |
| inline

Definition at line 699 of file btBatchedConstraints.cpp.

## Member Data Documentation

## ◆ bodyDynamicFlags

bool* AssignConstraintsToGridBatchesParams::bodyDynamicFlags

Definition at line 689 of file btBatchedConstraints.cpp.

## ◆ bodyGridCoords

btIntVec3* AssignConstraintsToGridBatchesParams::bodyGridCoords

Definition at line 690 of file btBatchedConstraints.cpp.

## ◆ conInfos

btBatchedConstraintInfo* AssignConstraintsToGridBatchesParams::conInfos

Definition at line 692 of file btBatchedConstraints.cpp.

## ◆ constraintBatchIds

int* AssignConstraintsToGridBatchesParams::constraintBatchIds

Definition at line 693 of file btBatchedConstraints.cpp.

## ◆ gridChunkDim

btIntVec3 AssignConstraintsToGridBatchesParams::gridChunkDim

Definition at line 694 of file btBatchedConstraints.cpp.

## ◆ maxNumBatchesPerPhase

int AssignConstraintsToGridBatchesParams::maxNumBatchesPerPhase

Definition at line 695 of file btBatchedConstraints.cpp.

## ◆ numBodies

int AssignConstraintsToGridBatchesParams::numBodies

Definition at line 691 of file btBatchedConstraints.cpp.

## ◆ numPhases

int AssignConstraintsToGridBatchesParams::numPhases

Definition at line 696 of file btBatchedConstraints.cpp.

## ◆ phaseMask

int AssignConstraintsToGridBatchesParams::phaseMask

Definition at line 697 of file btBatchedConstraints.cpp.

The documentation for this struct was generated from the following file:

- btBatchedConstraints.cpp